- name: gnome | appearance | copy wallpaper file
  tags: gnome,gnome-wallpaper
  copy:
    src: gnome/wallpaper.png
    dest: /usr/share/backgrounds/super_user-wallpaper.png
    owner: root
    group: root
    mode: 0644

- name: gnome | appearance | set wallpaper
  tags: gnome,gnome-wallpaper
  become_user: super_user
  dconf:
    key: "/org/gnome/desktop/background/picture-uri"
    value: "'file:///home/super_user/.local/share/backgrounds/2024-01-10-12-01-09-Porsche_Boxster_Spyder_UK_spec__981__cars_2015_4096x2732.jpg'"

- name: gnome | appearance | set wallpaper position
  tags: gnome,gnome-wallpaper
  become_user: super_user
  dconf:
    key: "/org/gnome/desktop/background/picture-options"
    value: "'zoom'"

- name: gnome | appearance | copy lock screen background file
  tags: gnome,gnome-lockscreen
  copy:
    src: files/gnome/lockscreen.jpg
    dest: /usr/share/backgrounds/super_user-lockscreen.jpg
    owner: root
    group: root
    mode: 0644

- name: gnome | appearance | set lock screen background
  tags: gnome,gnome-lockscreen
  become_user: super_user
  dconf:
    key: "/org/gnome/desktop/screensaver/picture-uri"
    value: "'file:///home/super_user/.local/share/backgrounds/2024-01-10-12-01-09-Porsche_Boxster_Spyder_UK_spec__981__cars_2015_4096x2732.jpg'"

- name: gnome | appearance | set lock screen background position
  tags: gnome,gnome-lockscreen
  become_user: super_user
  dconf:
    key: "/org/gnome/desktop/screensaver/picture-options"
    value: "'zoom'"

- name: gnome | appearance | set GTK theme
  become_user: super_user
  dconf:
    key: "/org/gnome/desktop/interface/gtk-theme"
    value: "'Adwaita-dark'"

